%global uname   CodeMirror
%global stapadj stapler-adjunct-codemirror

Name:           js-CodeMirror
Version:        2.38
Release:        4%{?dist}
Epoch:          1
Summary:        In-browser code editor

License:        MIT
URL:            http://codemirror.net
Source0:        https://github.com/codemirror/CodeMirror/archive/v%{version}.tar.gz
# POM file for stapler-adjunct-codemirror 1.3
Source1:        https://raw.githubusercontent.com/stapler/stapler-adjunct-codemirror/015b9550ccddbf089c836d9c16893f7be3cff882/pom.xml
# significant comments used by stapler
Patch0:         add-stapler-marks.patch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.kohsuke.stapler:stapler)

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

BuildArch:      noarch

%description
CodeMirror is a versatile text editor implemented in JavaScript for the
browser.  It is specialized for editing code, and comes with a number of
language modes and addons that implement more advanced editing
functionality.

A rich programming API and a CSS theming system are available for
customizing CodeMirror to fit your application, and extending it with
new functionality.

%package -n stapler-adjunct-codemirror
Summary:        Stapler CodeMirror Adjunct

%description -n stapler-adjunct-codemirror
This package contains CodeMirror library in form of adjunct for
Stapler Web Framework.

%prep
%setup -q -n %{uname}-%{version}

%patch0 -p1

cmdest="src/main/resources/org/kohsuke/stapler/codemirror"
mkdir -p %{stapadj}/${cmdest}
cp -r lib/ mode/ theme/ %{stapadj}/${cmdest}
touch %{stapadj}/${cmdest}/theme/default.css
pushd %{stapadj}

%mvn_file : %{stapadj}/%{stapadj}

popd

cp %{SOURCE1} %{stapadj}/pom.xml

%build
# nothing to do for js library

pushd %{stapadj}
%mvn_build
popd

%install
mkdir -p %{buildroot}%{_jsdir}/%{name}
cp -pr lib/ mode/ theme/ %{buildroot}%{_jsdir}/%{name}

pushd %{stapadj}
%mvn_install
popd

%files
%{_jsdir}/%{name}
%doc LICENSE
%files -n %{stapadj} -f %{stapadj}/.mfiles
%doc LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 30 2015 Michal Srb <msrb@redhat.com> - 1:2.38-1
- Downgrade to latest 2.x release
- Update POM to 1.3
- Fix stapler marks

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Michal Srb <msrb@redhat.com> - 4.0.3-4
- Add missing file (Resolves: rhbz#1147894)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Michal Srb <msrb@redhat.com> - 4.0.3-2
- Install JAR file into stapler-adjunct-codemirror/ subdir

* Wed Mar 26 2014 Michal Srb <msrb@redhat.com> - 4.0.3-1
- Initial packaging

